### Name: r2lFindClasses
### Title: Determine Basic Classes for a data.frame
### Aliases: r2lFindClasses
### Keywords: univar interface utilities classes

### ** Examples

 # # # # # # # # # # # # # # # # # # #
#   R to LaTeX, Univariate Analyses   #
 #             Examples              # 
  #         r2lFindClasses          #
   # # # # # # # # # # # # # # # # #
        
data(examCheating)

### Without modification in examCheating
r2lFindClasses(examCheating)

### With modifications
examCheating$Id <- factor(examCheating$Id)
examCheating$YearOfStudy <- ordered(examCheating$YearOfStudy,levels=c("L1","L2","L3","M1","M2"))
examCheating$Bac <- ordered(examCheating$Bac,levels=c("Remedial exam","Pass","Fairly good","Good","Very good","Summa cum laude"))
for(iColumn in 8:17){examCheating[,iColumn] <- ordered(examCheating[,iColumn],levels=c("Never","Rarely","Sometimes","Often","Always"))}
str(examCheating)
r2lFindClasses(examCheating)
r2lFindClasses(examCheating,3)

### Special case: only one class
r2lFindClasses(examCheating[,8:12])



