### Name: r2lUniv.Rclasses
### Title: Methods for R classes
### Aliases: r2lUniv.Rclasses r2lUniv.factor r2lUniv.logical
###   r2lUniv.ordered r2lUniv.integer r2lUniv.numeric r2lUniv.number
### Keywords: univar interface utilities classes print

### ** Examples

 # # # # # # # # # # # # # # # # # # #
#   R to LaTeX, Univariate Analyses   #
 #             Examples              #
  #           R  classes            #
   # # # # # # # # # # # # # # # # #

########################
###### Load the data

data(Vfactor)
data(Vlogical)
data(Vordered)
data(Vinteger)
data(Vnumeric)

########################
###### Run r2lUniv

### The following code will create some files.
### We advise you to first move to directory "r2lUnivExample"
dir.create("r2lUnivExample")
setwd("r2lUnivExample")
dir.create("graph")

### Univariate analyses
r2lUniv(Vfactor,"factor.tex")
r2lUniv(Vlogical,"logical.tex",varName="RepeatingYear",graphName="L")
r2lUniv(Vordered,"ordered.tex",varNumber="3",graphName="O")
r2lUniv(Vinteger,"integer.tex",varName="Age",varNumber="4",graphName="I")
r2lUniv(Vnumeric,"numeric.tex",varName="CheatScore",varNumber="5",graphName="N",dirGraph="graph")

### Creates the main document.
r2lGenerateLatexMain(c("factor.tex","logical.tex","ordered.tex","integer.tex","numeric.tex"))

### Everything is ready, you can now run LaTeX on the file "main.tex"
setwd("..")



